# biotmed_ums_sdk
APIs document (version: 7.17.2)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: 7.17.2
- Package version: 0.1.0
- Generator version: 7.7.0
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 3.7+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import biotmed_ums_sdk
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import biotmed_ums_sdk
```

### Tests

Execute `pytest` to run the tests.

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python

import biotmed_ums_sdk
from biotmed_ums_sdk.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to /ums
# See configuration.py for a list of all supported configuration parameters.
configuration = biotmed_ums_sdk.Configuration(
    host = "/ums"
)



# Enter a context with an instance of the API client
with biotmed_ums_sdk.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = biotmed_ums_sdk.CaptchaAPIApi(api_client)
    validate_captcha_request = biotmed_ums_sdk.ValidateCaptchaRequest() # ValidateCaptchaRequest | 

    try:
        # Validate ReCAPTCHA
        api_response = api_instance.validate_captcha(validate_captcha_request)
        print("The response of CaptchaAPIApi->validate_captcha:\n")
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling CaptchaAPIApi->validate_captcha: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to */ums*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*CaptchaAPIApi* | [**validate_captcha**](docs/CaptchaAPIApi.md#validate_captcha) | **POST** /v1/captcha/validate | Validate ReCAPTCHA
*DeviceAPIApi* | [**device_login**](docs/DeviceAPIApi.md#device_login) | **GET** /v1/devices/{deviceId}/access-token | Device Login
*GroupAPIApi* | [**associate_roles_to_group**](docs/GroupAPIApi.md#associate_roles_to_group) | **POST** /v2/admin/groups/{id}/roles/associate | Associate Roles to Group
*GroupAPIApi* | [**create_group**](docs/GroupAPIApi.md#create_group) | **POST** /v2/admin/groups | Create a new Group
*GroupAPIApi* | [**delete_group**](docs/GroupAPIApi.md#delete_group) | **DELETE** /v2/admin/groups/{id} | Delete Group
*GroupAPIApi* | [**dissociate_roles_from_group**](docs/GroupAPIApi.md#dissociate_roles_from_group) | **POST** /v2/admin/groups/{id}/roles/dissociate | Dissociate Roles from Group
*GroupAPIApi* | [**search_groups**](docs/GroupAPIApi.md#search_groups) | **GET** /v2/admin/groups | Search Group entities by filter
*GroupAPIApi* | [**update_group**](docs/GroupAPIApi.md#update_group) | **PATCH** /v2/admin/groups/{id} | Update Group
*HealthCheckAPIApi* | [**health_check**](docs/HealthCheckAPIApi.md#health_check) | **GET** /system/healthCheck | Service Health check API
*LoginAPIApi* | [**generate_otp**](docs/LoginAPIApi.md#generate_otp) | **POST** /v2/users/otp/generate | Generate login OTP
*LoginAPIApi* | [**login**](docs/LoginAPIApi.md#login) | **POST** /v2/users/login | Login with credentials
*LoginAPIApi* | [**logout**](docs/LoginAPIApi.md#logout) | **POST** /v2/users/logout | Logout
*LoginAPIApi* | [**otp_login**](docs/LoginAPIApi.md#otp_login) | **POST** /v2/users/otp/login | Login with OTP
*LoginAPIApi* | [**refresh_token**](docs/LoginAPIApi.md#refresh_token) | **POST** /v2/users/token/refresh | Refresh JWT token
*LoginAPIApi* | [**token_login**](docs/LoginAPIApi.md#token_login) | **POST** /v2/users/token/login | Login with refresh token
*MFALoginAPIApi* | [**mfa_login**](docs/MFALoginAPIApi.md#mfa_login) | **POST** /v2/users/login/mfa | MFA login
*MFALoginAPIApi* | [**mfa_resend**](docs/MFALoginAPIApi.md#mfa_resend) | **POST** /v2/users/login/mfa/resend | Resend SMS for MFA verification
*PermissionAPIApi* | [**search_permissions**](docs/PermissionAPIApi.md#search_permissions) | **GET** /v2/admin/permissions | Search Permission entities by filter
*RoleAPIApi* | [**associate_permissions_to_role**](docs/RoleAPIApi.md#associate_permissions_to_role) | **POST** /v2/admin/roles/{id}/permissions/associate | Associate Permissions to Role
*RoleAPIApi* | [**create_role**](docs/RoleAPIApi.md#create_role) | **POST** /v2/admin/roles | Create a new Role
*RoleAPIApi* | [**delete_role**](docs/RoleAPIApi.md#delete_role) | **DELETE** /v2/admin/roles/{id} | Delete Role
*RoleAPIApi* | [**dissociate_permissions_from_role**](docs/RoleAPIApi.md#dissociate_permissions_from_role) | **POST** /v2/admin/roles/{id}/permissions/dissociate | Dissociate Permissions from Role
*RoleAPIApi* | [**search_roles**](docs/RoleAPIApi.md#search_roles) | **GET** /v2/admin/roles | Search Role entities by filter
*RoleAPIApi* | [**update_role**](docs/RoleAPIApi.md#update_role) | **PATCH** /v2/admin/roles/{id} | Update Role
*SecurityAPIApi* | [**get_public_key**](docs/SecurityAPIApi.md#get_public_key) | **GET** /v1/security/public-key | Get public key
*SelfPermissionAPIApi* | [**get_ui_permissions**](docs/SelfPermissionAPIApi.md#get_ui_permissions) | **GET** /v2/users/self/permissions/ui | Get ui permissions for the connected user
*SelfUserAPIApi* | [**forgot_password**](docs/SelfUserAPIApi.md#forgot_password) | **POST** /v2/users/self/password/forgot | Send reset password message
*SelfUserAPIApi* | [**self_delete_user**](docs/SelfUserAPIApi.md#self_delete_user) | **DELETE** /v2/users/self | Self delete user
*SelfUserAPIApi* | [**self_get_user**](docs/SelfUserAPIApi.md#self_get_user) | **GET** /v2/users/self | Self get user
*SelfUserAPIApi* | [**self_register_user**](docs/SelfUserAPIApi.md#self_register_user) | **POST** /v2/users/self | Self registration of User
*SelfUserAPIApi* | [**self_update_user**](docs/SelfUserAPIApi.md#self_update_user) | **PATCH** /v2/users/self | Self update user
*ServiceUserAPIApi* | [**create_secret_key**](docs/ServiceUserAPIApi.md#create_secret_key) | **POST** /v2/services/{id}/secret-keys | Create a new Service User
*ServiceUserAPIApi* | [**create_service_user**](docs/ServiceUserAPIApi.md#create_service_user) | **POST** /v2/services | Create a new Service User
*ServiceUserAPIApi* | [**delete_secret_key**](docs/ServiceUserAPIApi.md#delete_secret_key) | **DELETE** /v2/services/{id}/secret-keys/{secretKeyId} | Delete secret key of a service user by service user id and secret key id
*ServiceUserAPIApi* | [**delete_service_user**](docs/ServiceUserAPIApi.md#delete_service_user) | **DELETE** /v2/services/{id} | Delete Service User
*ServiceUserAPIApi* | [**get_service_user_by_id**](docs/ServiceUserAPIApi.md#get_service_user_by_id) | **GET** /v2/services/{id} | Get Service User by ID
*ServiceUserAPIApi* | [**search_service_users**](docs/ServiceUserAPIApi.md#search_service_users) | **GET** /v2/services | Search Service User entities by filter
*ServiceUserAPIApi* | [**service_user_login**](docs/ServiceUserAPIApi.md#service_user_login) | **POST** /v2/services/accessToken | Service User Login
*ServiceUserAPIApi* | [**update_service_user**](docs/ServiceUserAPIApi.md#update_service_user) | **PATCH** /v2/services/{id} | Update Service User
*SettingsAPIApi* | [**get_mfa_settings**](docs/SettingsAPIApi.md#get_mfa_settings) | **GET** /v1/settings/mfa | Get the settings for the mfa in the system
*SettingsAPIApi* | [**get_password_settings**](docs/SettingsAPIApi.md#get_password_settings) | **GET** /v1/settings/password | Get password Settings
*SyncTokenPermissionsAPIApi* | [**sync_permissions**](docs/SyncTokenPermissionsAPIApi.md#sync_permissions) | **POST** /v1/permissions/sync | 
*SyncTokenPermissionsCoreAPIApi* | [**force_sync_permissions**](docs/SyncTokenPermissionsCoreAPIApi.md#force_sync_permissions) | **POST** /v1/system/permissions/sync | 
*TemporaryCredentialsAPIApi* | [**get_temp_credentials_for_organization**](docs/TemporaryCredentialsAPIApi.md#get_temp_credentials_for_organization) | **GET** /v1/temp-credentials/organization | Get MQTT temporary credentials for receiving notification for all entities in an organization.
*TemporaryTokenOperationAPIApi* | [**execute_token_operation**](docs/TemporaryTokenOperationAPIApi.md#execute_token_operation) | **POST** /v1/tokens/{token} | Execute token operation
*TemporaryTokenOperationAPIApi* | [**execute_token_operation_get**](docs/TemporaryTokenOperationAPIApi.md#execute_token_operation_get) | **GET** /v1/tokens/{token}/execute | Execute token operation
*TemporaryTokenOperationAPIApi* | [**validate_token_operation**](docs/TemporaryTokenOperationAPIApi.md#validate_token_operation) | **GET** /v1/tokens/{token} | Validation token operation
*UserAPIApi* | [**create_user**](docs/UserAPIApi.md#create_user) | **POST** /v2/users | Create a new User
*UserAPIApi* | [**delete**](docs/UserAPIApi.md#delete) | **DELETE** /v2/users/{id} | Delete User
*UserAPIApi* | [**generate_user_password**](docs/UserAPIApi.md#generate_user_password) | **POST** /v2/users/{id}/password/generate | Generate a new password for a User
*UserAPIApi* | [**get_user**](docs/UserAPIApi.md#get_user) | **GET** /v2/users/{id} | Get User by ID
*UserAPIApi* | [**search**](docs/UserAPIApi.md#search) | **GET** /v2/users | Search User entities by filter
*UserAPIApi* | [**update_user**](docs/UserAPIApi.md#update_user) | **PATCH** /v2/users/{id} | Update User
*UserAPIApi* | [**validate_user_credentials**](docs/UserAPIApi.md#validate_user_credentials) | **POST** /v2/users/credentials/validate | Validate user credentials


## Documentation For Models

 - [AssociatePermissionsToRoleAdminRequest](docs/AssociatePermissionsToRoleAdminRequest.md)
 - [AssociateRolesToGroupAdminRequest](docs/AssociateRolesToGroupAdminRequest.md)
 - [CreateGroupAdminRequest](docs/CreateGroupAdminRequest.md)
 - [CreateRoleAdminRequest](docs/CreateRoleAdminRequest.md)
 - [CreateSecretKeyResponse](docs/CreateSecretKeyResponse.md)
 - [CreateServiceUserRequest](docs/CreateServiceUserRequest.md)
 - [CreateServiceUserResponse](docs/CreateServiceUserResponse.md)
 - [CreateUserRequest](docs/CreateUserRequest.md)
 - [Credentials](docs/Credentials.md)
 - [DeviceAccessTokenResponse](docs/DeviceAccessTokenResponse.md)
 - [DissociatePermissionsFromRoleAdminRequest](docs/DissociatePermissionsFromRoleAdminRequest.md)
 - [DissociateRolesFromGroupAdminRequest](docs/DissociateRolesFromGroupAdminRequest.md)
 - [ErrorResponse](docs/ErrorResponse.md)
 - [FilterV2](docs/FilterV2.md)
 - [ForgotPasswordRequestV2](docs/ForgotPasswordRequestV2.md)
 - [GenerateOtpRequest](docs/GenerateOtpRequest.md)
 - [GenerateOtpResponse](docs/GenerateOtpResponse.md)
 - [GenerateUserPasswordResponse](docs/GenerateUserPasswordResponse.md)
 - [GetPasswordSettingsResponse](docs/GetPasswordSettingsResponse.md)
 - [GetPermissionsResponse](docs/GetPermissionsResponse.md)
 - [GetPublicKeyResponse](docs/GetPublicKeyResponse.md)
 - [GetServiceUserV2Response](docs/GetServiceUserV2Response.md)
 - [GroupObject](docs/GroupObject.md)
 - [GroupResponse](docs/GroupResponse.md)
 - [JsonNullableSetString](docs/JsonNullableSetString.md)
 - [JsonNullableSetUUID](docs/JsonNullableSetUUID.md)
 - [JwtToken](docs/JwtToken.md)
 - [LoginRequestV2](docs/LoginRequestV2.md)
 - [LoginResponse](docs/LoginResponse.md)
 - [LoginWithTokenRequest](docs/LoginWithTokenRequest.md)
 - [LogoutRequest](docs/LogoutRequest.md)
 - [Metadata](docs/Metadata.md)
 - [Mfa](docs/Mfa.md)
 - [MfaCodeSettingsResponse](docs/MfaCodeSettingsResponse.md)
 - [MfaLoginRequestV2](docs/MfaLoginRequestV2.md)
 - [MfaSettingsResponse](docs/MfaSettingsResponse.md)
 - [Order](docs/Order.md)
 - [OtpLoginRequest](docs/OtpLoginRequest.md)
 - [PageMetadata](docs/PageMetadata.md)
 - [Password](docs/Password.md)
 - [PasswordStrengthResponse](docs/PasswordStrengthResponse.md)
 - [PermissionBasicInfo](docs/PermissionBasicInfo.md)
 - [PermissionResponse](docs/PermissionResponse.md)
 - [RefreshTokenRequest](docs/RefreshTokenRequest.md)
 - [ResendMfaResponse](docs/ResendMfaResponse.md)
 - [Role](docs/Role.md)
 - [RoleBasicInfo](docs/RoleBasicInfo.md)
 - [RoleResponse](docs/RoleResponse.md)
 - [SearchRequestV2](docs/SearchRequestV2.md)
 - [SearchResponseGetServiceUserV2Response](docs/SearchResponseGetServiceUserV2Response.md)
 - [SearchResponseGroupResponse](docs/SearchResponseGroupResponse.md)
 - [SearchResponsePermissionResponse](docs/SearchResponsePermissionResponse.md)
 - [SearchResponseRoleResponse](docs/SearchResponseRoleResponse.md)
 - [SearchResponseUserResponse](docs/SearchResponseUserResponse.md)
 - [SecretKeyData](docs/SecretKeyData.md)
 - [SelfRegisterUserRequest](docs/SelfRegisterUserRequest.md)
 - [SelfUpdateUserRequest](docs/SelfUpdateUserRequest.md)
 - [ServiceUser](docs/ServiceUser.md)
 - [ServiceUserAccessTokenRequest](docs/ServiceUserAccessTokenRequest.md)
 - [ServiceUserAccessTokenResponse](docs/ServiceUserAccessTokenResponse.md)
 - [SyncPermissionsCompletedMessage](docs/SyncPermissionsCompletedMessage.md)
 - [SyncPermissionsRequest](docs/SyncPermissionsRequest.md)
 - [TemporaryMqttCredentialsResponse](docs/TemporaryMqttCredentialsResponse.md)
 - [TokenOperationRequest](docs/TokenOperationRequest.md)
 - [TokenOperationResponse](docs/TokenOperationResponse.md)
 - [UpdateGroupAdminRequest](docs/UpdateGroupAdminRequest.md)
 - [UpdateRoleAdminRequest](docs/UpdateRoleAdminRequest.md)
 - [UpdateServiceUserV2Request](docs/UpdateServiceUserV2Request.md)
 - [UpdateServiceUserV2Response](docs/UpdateServiceUserV2Response.md)
 - [UpdateUserRequest](docs/UpdateUserRequest.md)
 - [UserResponse](docs/UserResponse.md)
 - [ValidateCaptchaRequest](docs/ValidateCaptchaRequest.md)
 - [ValidateCaptchaResponse](docs/ValidateCaptchaResponse.md)
 - [ValidateUserCredentialsRequest](docs/ValidateUserCredentialsRequest.md)
 - [ValidateUserCredentialsResponse](docs/ValidateUserCredentialsResponse.md)
 - [VersionResponse](docs/VersionResponse.md)


<a id="documentation-for-authorization"></a>
## Documentation For Authorization


Authentication schemes defined for the API:
<a id="bearerAuth"></a>
### bearerAuth

- **Type**: Bearer authentication (JWT)


## Author




